Subject: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Mon, 20 Feb 2012 09:20:21 -0800

If I can get another crash I can look into that. However, since patching cc-mode and removing truncate I haven't seen this. I want to update to latest 24 build (93) and then I can try to look into it some more.

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Saturday, February 18, 2012 9:16 AM
To: Joseph Jones
Cc: [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> From: Joseph Jones <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sun, 12 Feb 2012 14:13:18 -0800
> 
>  (gdb) pit
> cur=635852 pos=0 start=634607 end=6 stop=6 face=13 nov=1 sp=2 ch=' ' next=GET_FROM_STRING[0]
> BIDI: base_stop=0 prev_stop=0 level=0
> vpos=47 hpos=121 y=47 lvy=57 x=624 vx=503-624 w=1 a+d=0+1=1 max=0+1=1
> stack[0]: GET_FROM_BUFFER[635851]
> stack[1]: GET_FROM_STRING[1]
> 
> 56: edges=(632703,632714),r2l=0,cont=0,trunc=(0,0),at_zv=1
> (gdb) print *it->w
> $2 = {
>   header = {
>     size = 1073745975,
>     next = {
>       buffer = 0x3446c00,
>       vector = 0x3446c00
>     }
>   },
>   frame = 54815749,
>   mini_p = 54741018,
>   next = 54814725,
>   prev = 54741018,
>   hchild = 54741018,
>   vchild = 54741018,
>   parent = 54741018,
>   left_col = 0,
>   top_line = 4,
>   total_lines = 232,
>   total_cols = 512,

OK.  What about this command? what does it display?

  (gdb) p it->glyph_row->glyphs

Please do this in the following stack frame of the crash backtrace:

  #0  0x01259f9f in append_glyph (it=0x82ad3c) at term.c:1491